Makefile.in 23 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733
  1. # Makefile.in generated by automake 1.11 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
  5. # Inc.
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9. # This program is distributed in the hope that it will be useful,
  10. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  11. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  12. # PARTICULAR PURPOSE.
  13. @SET_MAKE@
  14. VPATH = @srcdir@
  15. pkgdatadir = $(datadir)/@PACKAGE@
  16. pkgincludedir = $(includedir)/@PACKAGE@
  17. pkglibdir = $(libdir)/@PACKAGE@
  18. pkglibexecdir = $(libexecdir)/@PACKAGE@
  19. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  20. install_sh_DATA = $(install_sh) -c -m 644
  21. install_sh_PROGRAM = $(install_sh) -c
  22. install_sh_SCRIPT = $(install_sh) -c
  23. INSTALL_HEADER = $(INSTALL_DATA)
  24. transform = $(program_transform_name)
  25. NORMAL_INSTALL = :
  26. PRE_INSTALL = :
  27. POST_INSTALL = :
  28. NORMAL_UNINSTALL = :
  29. PRE_UNINSTALL = :
  30. POST_UNINSTALL = :
  31. subdir = .
  32. DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
  33. $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  34. $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
  35. depcomp install-sh missing
  36. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  37. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  38. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  39. $(ACLOCAL_M4)
  40. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  41. configure.lineno config.status.lineno
  42. mkinstalldirs = $(install_sh) -d
  43. CONFIG_HEADER = config.h
  44. CONFIG_CLEAN_FILES =
  45. CONFIG_CLEAN_VPATH_FILES =
  46. SOURCES =
  47. DIST_SOURCES =
  48. RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
  49. html-recursive info-recursive install-data-recursive \
  50. install-dvi-recursive install-exec-recursive \
  51. install-html-recursive install-info-recursive \
  52. install-pdf-recursive install-ps-recursive install-recursive \
  53. installcheck-recursive installdirs-recursive pdf-recursive \
  54. ps-recursive uninstall-recursive
  55. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  56. am__vpath_adj = case $$p in \
  57. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  58. *) f=$$p;; \
  59. esac;
  60. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  61. am__install_max = 40
  62. am__nobase_strip_setup = \
  63. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  64. am__nobase_strip = \
  65. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  66. am__nobase_list = $(am__nobase_strip_setup); \
  67. for p in $$list; do echo "$$p $$p"; done | \
  68. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  69. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  70. if (++n[$$2] == $(am__install_max)) \
  71. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  72. END { for (dir in files) print dir, files[dir] }'
  73. am__base_list = \
  74. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  75. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  76. am__installdirs = "$(DESTDIR)$(schemadir)"
  77. DATA = $(schema_DATA)
  78. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  79. distclean-recursive maintainer-clean-recursive
  80. AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
  81. $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
  82. distdir dist dist-all distcheck
  83. ETAGS = etags
  84. CTAGS = ctags
  85. DIST_SUBDIRS = $(SUBDIRS)
  86. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  87. distdir = $(PACKAGE)-$(VERSION)
  88. top_distdir = $(distdir)
  89. am__remove_distdir = \
  90. { test ! -d "$(distdir)" \
  91. || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  92. && rm -fr "$(distdir)"; }; }
  93. am__relativize = \
  94. dir0=`pwd`; \
  95. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  96. sed_rest='s,^[^/]*/*,,'; \
  97. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  98. sed_butlast='s,/*[^/]*$$,,'; \
  99. while test -n "$$dir1"; do \
  100. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  101. if test "$$first" != "."; then \
  102. if test "$$first" = ".."; then \
  103. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  104. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  105. else \
  106. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  107. if test "$$first2" = "$$first"; then \
  108. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  109. else \
  110. dir2="../$$dir2"; \
  111. fi; \
  112. dir0="$$dir0"/"$$first"; \
  113. fi; \
  114. fi; \
  115. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  116. done; \
  117. reldir="$$dir2"
  118. DIST_ARCHIVES = $(distdir).tar.gz
  119. GZIP_ENV = --best
  120. distuninstallcheck_listfiles = find . -type f -print
  121. distcleancheck_listfiles = find . -type f -print
  122. ACLOCAL = @ACLOCAL@
  123. AMTAR = @AMTAR@
  124. AUTOCONF = @AUTOCONF@
  125. AUTOHEADER = @AUTOHEADER@
  126. AUTOMAKE = @AUTOMAKE@
  127. AWK = @AWK@
  128. CC = @CC@
  129. CCDEPMODE = @CCDEPMODE@
  130. CFLAGS = @CFLAGS@
  131. CPPFLAGS = @CPPFLAGS@
  132. CYGPATH_W = @CYGPATH_W@
  133. DEFS = @DEFS@
  134. DEPDIR = @DEPDIR@
  135. ECHO_C = @ECHO_C@
  136. ECHO_N = @ECHO_N@
  137. ECHO_T = @ECHO_T@
  138. EXEEXT = @EXEEXT@
  139. GCONFTOOL = @GCONFTOOL@
  140. GCONF_SCHEMA_CONFIG_SOURCE = @GCONF_SCHEMA_CONFIG_SOURCE@
  141. GCONF_SCHEMA_FILE_DIR = @GCONF_SCHEMA_FILE_DIR@
  142. INSTALL = @INSTALL@
  143. INSTALL_DATA = @INSTALL_DATA@
  144. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  145. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  146. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  147. LDFLAGS = @LDFLAGS@
  148. LIBOBJS = @LIBOBJS@
  149. LIBS = @LIBS@
  150. LTLIBOBJS = @LTLIBOBJS@
  151. MAKEINFO = @MAKEINFO@
  152. MKDIR_P = @MKDIR_P@
  153. MSSH_CFLAGS = @MSSH_CFLAGS@
  154. MSSH_LIBS = @MSSH_LIBS@
  155. OBJEXT = @OBJEXT@
  156. PACKAGE = @PACKAGE@
  157. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  158. PACKAGE_NAME = @PACKAGE_NAME@
  159. PACKAGE_STRING = @PACKAGE_STRING@
  160. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  161. PACKAGE_URL = @PACKAGE_URL@
  162. PACKAGE_VERSION = @PACKAGE_VERSION@
  163. PATH_SEPARATOR = @PATH_SEPARATOR@
  164. PKG_CONFIG = @PKG_CONFIG@
  165. SET_MAKE = @SET_MAKE@
  166. SHELL = @SHELL@
  167. STRIP = @STRIP@
  168. VERSION = @VERSION@
  169. abs_builddir = @abs_builddir@
  170. abs_srcdir = @abs_srcdir@
  171. abs_top_builddir = @abs_top_builddir@
  172. abs_top_srcdir = @abs_top_srcdir@
  173. ac_ct_CC = @ac_ct_CC@
  174. am__include = @am__include@
  175. am__leading_dot = @am__leading_dot@
  176. am__quote = @am__quote@
  177. am__tar = @am__tar@
  178. am__untar = @am__untar@
  179. bindir = @bindir@
  180. build_alias = @build_alias@
  181. builddir = @builddir@
  182. datadir = @datadir@
  183. datarootdir = @datarootdir@
  184. docdir = @docdir@
  185. dvidir = @dvidir@
  186. exec_prefix = @exec_prefix@
  187. host_alias = @host_alias@
  188. htmldir = @htmldir@
  189. includedir = @includedir@
  190. infodir = @infodir@
  191. install_sh = @install_sh@
  192. libdir = @libdir@
  193. libexecdir = @libexecdir@
  194. localedir = @localedir@
  195. localstatedir = @localstatedir@
  196. mandir = @mandir@
  197. mkdir_p = @mkdir_p@
  198. oldincludedir = @oldincludedir@
  199. pdfdir = @pdfdir@
  200. prefix = @prefix@
  201. program_transform_name = @program_transform_name@
  202. psdir = @psdir@
  203. sbindir = @sbindir@
  204. sharedstatedir = @sharedstatedir@
  205. srcdir = @srcdir@
  206. sysconfdir = @sysconfdir@
  207. target_alias = @target_alias@
  208. top_build_prefix = @top_build_prefix@
  209. top_builddir = @top_builddir@
  210. top_srcdir = @top_srcdir@
  211. SUBDIRS = src
  212. EXTRA_DIST = mssh.schemas mssh_clusters.conf
  213. SCHEMAS_FILE = mssh.schemas
  214. schemadir = $(GCONF_SCHEMA_FILE_DIR)
  215. schema_DATA = $(SCHEMAS_FILE)
  216. all: config.h
  217. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  218. .SUFFIXES:
  219. am--refresh:
  220. @:
  221. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  222. @for dep in $?; do \
  223. case '$(am__configure_deps)' in \
  224. *$$dep*) \
  225. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  226. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  227. && exit 0; \
  228. exit 1;; \
  229. esac; \
  230. done; \
  231. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  232. $(am__cd) $(top_srcdir) && \
  233. $(AUTOMAKE) --gnu Makefile
  234. .PRECIOUS: Makefile
  235. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  236. @case '$?' in \
  237. *config.status*) \
  238. echo ' $(SHELL) ./config.status'; \
  239. $(SHELL) ./config.status;; \
  240. *) \
  241. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  242. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  243. esac;
  244. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  245. $(SHELL) ./config.status --recheck
  246. $(top_srcdir)/configure: $(am__configure_deps)
  247. $(am__cd) $(srcdir) && $(AUTOCONF)
  248. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  249. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  250. $(am__aclocal_m4_deps):
  251. config.h: stamp-h1
  252. @if test ! -f $@; then \
  253. rm -f stamp-h1; \
  254. $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
  255. else :; fi
  256. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  257. @rm -f stamp-h1
  258. cd $(top_builddir) && $(SHELL) ./config.status config.h
  259. $(srcdir)/config.h.in: $(am__configure_deps)
  260. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  261. rm -f stamp-h1
  262. touch $@
  263. distclean-hdr:
  264. -rm -f config.h stamp-h1
  265. install-schemaDATA: $(schema_DATA)
  266. @$(NORMAL_INSTALL)
  267. test -z "$(schemadir)" || $(MKDIR_P) "$(DESTDIR)$(schemadir)"
  268. @list='$(schema_DATA)'; test -n "$(schemadir)" || list=; \
  269. for p in $$list; do \
  270. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  271. echo "$$d$$p"; \
  272. done | $(am__base_list) | \
  273. while read files; do \
  274. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(schemadir)'"; \
  275. $(INSTALL_DATA) $$files "$(DESTDIR)$(schemadir)" || exit $$?; \
  276. done
  277. uninstall-schemaDATA:
  278. @$(NORMAL_UNINSTALL)
  279. @list='$(schema_DATA)'; test -n "$(schemadir)" || list=; \
  280. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  281. test -n "$$files" || exit 0; \
  282. echo " ( cd '$(DESTDIR)$(schemadir)' && rm -f" $$files ")"; \
  283. cd "$(DESTDIR)$(schemadir)" && rm -f $$files
  284. # This directory's subdirectories are mostly independent; you can cd
  285. # into them and run `make' without going through this Makefile.
  286. # To change the values of `make' variables: instead of editing Makefiles,
  287. # (1) if the variable is set in `config.status', edit `config.status'
  288. # (which will cause the Makefiles to be regenerated when you run `make');
  289. # (2) otherwise, pass the desired values on the `make' command line.
  290. $(RECURSIVE_TARGETS):
  291. @failcom='exit 1'; \
  292. for f in x $$MAKEFLAGS; do \
  293. case $$f in \
  294. *=* | --[!k]*);; \
  295. *k*) failcom='fail=yes';; \
  296. esac; \
  297. done; \
  298. dot_seen=no; \
  299. target=`echo $@ | sed s/-recursive//`; \
  300. list='$(SUBDIRS)'; for subdir in $$list; do \
  301. echo "Making $$target in $$subdir"; \
  302. if test "$$subdir" = "."; then \
  303. dot_seen=yes; \
  304. local_target="$$target-am"; \
  305. else \
  306. local_target="$$target"; \
  307. fi; \
  308. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  309. || eval $$failcom; \
  310. done; \
  311. if test "$$dot_seen" = "no"; then \
  312. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  313. fi; test -z "$$fail"
  314. $(RECURSIVE_CLEAN_TARGETS):
  315. @failcom='exit 1'; \
  316. for f in x $$MAKEFLAGS; do \
  317. case $$f in \
  318. *=* | --[!k]*);; \
  319. *k*) failcom='fail=yes';; \
  320. esac; \
  321. done; \
  322. dot_seen=no; \
  323. case "$@" in \
  324. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  325. *) list='$(SUBDIRS)' ;; \
  326. esac; \
  327. rev=''; for subdir in $$list; do \
  328. if test "$$subdir" = "."; then :; else \
  329. rev="$$subdir $$rev"; \
  330. fi; \
  331. done; \
  332. rev="$$rev ."; \
  333. target=`echo $@ | sed s/-recursive//`; \
  334. for subdir in $$rev; do \
  335. echo "Making $$target in $$subdir"; \
  336. if test "$$subdir" = "."; then \
  337. local_target="$$target-am"; \
  338. else \
  339. local_target="$$target"; \
  340. fi; \
  341. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  342. || eval $$failcom; \
  343. done && test -z "$$fail"
  344. tags-recursive:
  345. list='$(SUBDIRS)'; for subdir in $$list; do \
  346. test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  347. done
  348. ctags-recursive:
  349. list='$(SUBDIRS)'; for subdir in $$list; do \
  350. test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  351. done
  352. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  353. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  354. unique=`for i in $$list; do \
  355. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  356. done | \
  357. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  358. END { if (nonempty) { for (i in files) print i; }; }'`; \
  359. mkid -fID $$unique
  360. tags: TAGS
  361. TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  362. $(TAGS_FILES) $(LISP)
  363. set x; \
  364. here=`pwd`; \
  365. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  366. include_option=--etags-include; \
  367. empty_fix=.; \
  368. else \
  369. include_option=--include; \
  370. empty_fix=; \
  371. fi; \
  372. list='$(SUBDIRS)'; for subdir in $$list; do \
  373. if test "$$subdir" = .; then :; else \
  374. test ! -f $$subdir/TAGS || \
  375. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  376. fi; \
  377. done; \
  378. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  379. unique=`for i in $$list; do \
  380. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  381. done | \
  382. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  383. END { if (nonempty) { for (i in files) print i; }; }'`; \
  384. shift; \
  385. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  386. test -n "$$unique" || unique=$$empty_fix; \
  387. if test $$# -gt 0; then \
  388. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  389. "$$@" $$unique; \
  390. else \
  391. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  392. $$unique; \
  393. fi; \
  394. fi
  395. ctags: CTAGS
  396. CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  397. $(TAGS_FILES) $(LISP)
  398. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  399. unique=`for i in $$list; do \
  400. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  401. done | \
  402. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  403. END { if (nonempty) { for (i in files) print i; }; }'`; \
  404. test -z "$(CTAGS_ARGS)$$unique" \
  405. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  406. $$unique
  407. GTAGS:
  408. here=`$(am__cd) $(top_builddir) && pwd` \
  409. && $(am__cd) $(top_srcdir) \
  410. && gtags -i $(GTAGS_ARGS) "$$here"
  411. distclean-tags:
  412. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  413. distdir: $(DISTFILES)
  414. $(am__remove_distdir)
  415. test -d "$(distdir)" || mkdir "$(distdir)"
  416. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  417. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  418. list='$(DISTFILES)'; \
  419. dist_files=`for file in $$list; do echo $$file; done | \
  420. sed -e "s|^$$srcdirstrip/||;t" \
  421. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  422. case $$dist_files in \
  423. */*) $(MKDIR_P) `echo "$$dist_files" | \
  424. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  425. sort -u` ;; \
  426. esac; \
  427. for file in $$dist_files; do \
  428. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  429. if test -d $$d/$$file; then \
  430. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  431. if test -d "$(distdir)/$$file"; then \
  432. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  433. fi; \
  434. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  435. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  436. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  437. fi; \
  438. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  439. else \
  440. test -f "$(distdir)/$$file" \
  441. || cp -p $$d/$$file "$(distdir)/$$file" \
  442. || exit 1; \
  443. fi; \
  444. done
  445. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  446. if test "$$subdir" = .; then :; else \
  447. test -d "$(distdir)/$$subdir" \
  448. || $(MKDIR_P) "$(distdir)/$$subdir" \
  449. || exit 1; \
  450. fi; \
  451. done
  452. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  453. if test "$$subdir" = .; then :; else \
  454. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  455. $(am__relativize); \
  456. new_distdir=$$reldir; \
  457. dir1=$$subdir; dir2="$(top_distdir)"; \
  458. $(am__relativize); \
  459. new_top_distdir=$$reldir; \
  460. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  461. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  462. ($(am__cd) $$subdir && \
  463. $(MAKE) $(AM_MAKEFLAGS) \
  464. top_distdir="$$new_top_distdir" \
  465. distdir="$$new_distdir" \
  466. am__remove_distdir=: \
  467. am__skip_length_check=: \
  468. am__skip_mode_fix=: \
  469. distdir) \
  470. || exit 1; \
  471. fi; \
  472. done
  473. -test -n "$(am__skip_mode_fix)" \
  474. || find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  475. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  476. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  477. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  478. || chmod -R a+r "$(distdir)"
  479. dist-gzip: distdir
  480. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  481. $(am__remove_distdir)
  482. dist-bzip2: distdir
  483. tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  484. $(am__remove_distdir)
  485. dist-lzma: distdir
  486. tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  487. $(am__remove_distdir)
  488. dist-xz: distdir
  489. tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
  490. $(am__remove_distdir)
  491. dist-tarZ: distdir
  492. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  493. $(am__remove_distdir)
  494. dist-shar: distdir
  495. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  496. $(am__remove_distdir)
  497. dist-zip: distdir
  498. -rm -f $(distdir).zip
  499. zip -rq $(distdir).zip $(distdir)
  500. $(am__remove_distdir)
  501. dist dist-all: distdir
  502. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  503. $(am__remove_distdir)
  504. # This target untars the dist file and tries a VPATH configuration. Then
  505. # it guarantees that the distribution is self-contained by making another
  506. # tarfile.
  507. distcheck: dist
  508. case '$(DIST_ARCHIVES)' in \
  509. *.tar.gz*) \
  510. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  511. *.tar.bz2*) \
  512. bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
  513. *.tar.lzma*) \
  514. unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
  515. *.tar.xz*) \
  516. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  517. *.tar.Z*) \
  518. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  519. *.shar.gz*) \
  520. GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
  521. *.zip*) \
  522. unzip $(distdir).zip ;;\
  523. esac
  524. chmod -R a-w $(distdir); chmod a+w $(distdir)
  525. mkdir $(distdir)/_build
  526. mkdir $(distdir)/_inst
  527. chmod a-w $(distdir)
  528. test -d $(distdir)/_build || exit 0; \
  529. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  530. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  531. && am__cwd=`pwd` \
  532. && $(am__cd) $(distdir)/_build \
  533. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  534. $(DISTCHECK_CONFIGURE_FLAGS) \
  535. && $(MAKE) $(AM_MAKEFLAGS) \
  536. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  537. && $(MAKE) $(AM_MAKEFLAGS) check \
  538. && $(MAKE) $(AM_MAKEFLAGS) install \
  539. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  540. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  541. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  542. distuninstallcheck \
  543. && chmod -R a-w "$$dc_install_base" \
  544. && ({ \
  545. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  546. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  547. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  548. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  549. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  550. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  551. && rm -rf "$$dc_destdir" \
  552. && $(MAKE) $(AM_MAKEFLAGS) dist \
  553. && rm -rf $(DIST_ARCHIVES) \
  554. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  555. && cd "$$am__cwd" \
  556. || exit 1
  557. $(am__remove_distdir)
  558. @(echo "$(distdir) archives ready for distribution: "; \
  559. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  560. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  561. distuninstallcheck:
  562. @$(am__cd) '$(distuninstallcheck_dir)' \
  563. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  564. || { echo "ERROR: files left after uninstall:" ; \
  565. if test -n "$(DESTDIR)"; then \
  566. echo " (check DESTDIR support)"; \
  567. fi ; \
  568. $(distuninstallcheck_listfiles) ; \
  569. exit 1; } >&2
  570. distcleancheck: distclean
  571. @if test '$(srcdir)' = . ; then \
  572. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  573. exit 1 ; \
  574. fi
  575. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  576. || { echo "ERROR: files left in build directory after distclean:" ; \
  577. $(distcleancheck_listfiles) ; \
  578. exit 1; } >&2
  579. check-am: all-am
  580. check: check-recursive
  581. all-am: Makefile $(DATA) config.h
  582. installdirs: installdirs-recursive
  583. installdirs-am:
  584. for dir in "$(DESTDIR)$(schemadir)"; do \
  585. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  586. done
  587. install: install-recursive
  588. install-exec: install-exec-recursive
  589. install-data: install-data-recursive
  590. uninstall: uninstall-recursive
  591. install-am: all-am
  592. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  593. installcheck: installcheck-recursive
  594. install-strip:
  595. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  596. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  597. `test -z '$(STRIP)' || \
  598. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  599. mostlyclean-generic:
  600. clean-generic:
  601. distclean-generic:
  602. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  603. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  604. maintainer-clean-generic:
  605. @echo "This command is intended for maintainers to use"
  606. @echo "it deletes files that may require special tools to rebuild."
  607. @GCONF_SCHEMAS_INSTALL_FALSE@install-data-local:
  608. clean: clean-recursive
  609. clean-am: clean-generic mostlyclean-am
  610. distclean: distclean-recursive
  611. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  612. -rm -f Makefile
  613. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  614. dvi: dvi-recursive
  615. dvi-am:
  616. html: html-recursive
  617. html-am:
  618. info: info-recursive
  619. info-am:
  620. install-data-am: install-data-local install-schemaDATA
  621. install-dvi: install-dvi-recursive
  622. install-dvi-am:
  623. install-exec-am:
  624. install-html: install-html-recursive
  625. install-html-am:
  626. install-info: install-info-recursive
  627. install-info-am:
  628. install-man:
  629. install-pdf: install-pdf-recursive
  630. install-pdf-am:
  631. install-ps: install-ps-recursive
  632. install-ps-am:
  633. installcheck-am:
  634. maintainer-clean: maintainer-clean-recursive
  635. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  636. -rm -rf $(top_srcdir)/autom4te.cache
  637. -rm -f Makefile
  638. maintainer-clean-am: distclean-am maintainer-clean-generic
  639. mostlyclean: mostlyclean-recursive
  640. mostlyclean-am: mostlyclean-generic
  641. pdf: pdf-recursive
  642. pdf-am:
  643. ps: ps-recursive
  644. ps-am:
  645. uninstall-am: uninstall-schemaDATA
  646. .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
  647. ctags-recursive install-am install-strip tags-recursive
  648. .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
  649. all all-am am--refresh check check-am clean clean-generic \
  650. ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
  651. dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
  652. distclean distclean-generic distclean-hdr distclean-tags \
  653. distcleancheck distdir distuninstallcheck dvi dvi-am html \
  654. html-am info info-am install install-am install-data \
  655. install-data-am install-data-local install-dvi install-dvi-am \
  656. install-exec install-exec-am install-html install-html-am \
  657. install-info install-info-am install-man install-pdf \
  658. install-pdf-am install-ps install-ps-am install-schemaDATA \
  659. install-strip installcheck installcheck-am installdirs \
  660. installdirs-am maintainer-clean maintainer-clean-generic \
  661. mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
  662. tags-recursive uninstall uninstall-am uninstall-schemaDATA
  663. @GCONF_SCHEMAS_INSTALL_TRUE@install-data-local:
  664. @GCONF_SCHEMAS_INSTALL_TRUE@ GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(top_builddir)/$(schema_DATA)
  665. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  666. # Otherwise a system limit (for SysV at least) may be exceeded.
  667. .NOEXPORT: